- hosts: all
  gather_facts: yes
  remote_user: root

  tasks:
    - name: Install packages for
      ansible.builtin.apt:
        name: python3-pip
        update_cache: yes

    - name: Install Docker Module for Python
      ansible.builtin.pip:
        name: docker

    - name: Run container
      community.docker.docker_container:
        name: app
        image: hexletcomponents/devops-example-app
        published_ports: 80:5000
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        env:
          SERVER_MESSAGE: "{{ ansible_facts['default_ipv4']['address'] }}"
